For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
      • GETGet Synced Records
      • GETGet Single Synced Record
      • POSTPush Object
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounting integrationAccounting synchronized records

Get Synced Records

GET
/accounting_synced_records
GET
/v1/accounting_synced_records
$curl -G https://api.sandbox.monite.com/v1/accounting_synced_records \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -d object_type=product
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "last_pulled_at": "2024-01-15T09:30:00Z",
8 "object_type": "product",
9 "sync_status": "pending",
10 "errors": {
11 "key": "value"
12 },
13 "object_id": "object_id",
14 "object_updated_at": "2024-01-15T09:30:00Z",
15 "platform": "xero",
16 "platform_object_id": "platform_object_id",
17 "platform_updated_at": "2024-01-15T09:30:00Z",
18 "provider": "codat",
19 "provider_object_id": "provider_object_id",
20 "provider_updated_at": "2024-01-15T09:30:00Z"
21 }
22 ],
23 "next_pagination_token": "eyJvcmRlciI6ImFzYyIsImxpbWl0IjoyLCJwYWdpbmF0aW9uX2ZpbHRlcnMiOnsiZW50aXR5X2lkIjoiOWQyYjRjOGYtMjA4Ny00NzM4LWJhOTEtNzM1OTY4M2M0OWE0In0sInBhZ2luYXRpb25fdG9rZW5fdHlwZSI6Im5leHQiLCJjdXJzb3JfZmllbGQiOm51bGwsImN1cnNvcl9maWVsZF92YWx1ZSI6bnVsbCwiY3VycmVudF9vaWQiOjR9",
24 "prev_pagination_token": "eyJvcmRlciI6ImFzYyIsImxpbWl0IjoyLCJwYWdpbmF0aW9uX2ZpbHRlcnMiOnsiZW50aXR5X2lkIjoiOWQyYjRjOGYtMjA4Ny00NzM4LWJhOTEtNzM1OTY4M2M0OWE0In0sInBhZ2luYXRpb25fdG9rZW5fdHlwZSI6Im5leHQiLCJjdXJzb3JfZmllbGQiOm51bGwsImN1cnNvcl9maWVsZF92YWx1ZSI6bnVsbCwiY3VycmVudF9vaWQiOjR9"
25}
Get synchronized records
Was this page helpful?
Previous

Get Single Synced Record

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

object_typeenumRequired
orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-250Defaults to 250
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page. When using pagination with a non-default `limit`, you must provide the `limit` value alongside `pagination_token` in all subsequent pagination requests. Unlike other query parameters, `limit` is not inferred from `pagination_token`.
pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters except limit are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
object_idstringOptionalformat: "uuid"
object_id__instringOptionalformat: "uuid"
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
updated_at__gtdatetimeOptional
updated_at__ltdatetimeOptional
updated_at__gtedatetimeOptional
updated_at__ltedatetimeOptional

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

422
Get Accounting Synced Records Request Unprocessable Entity Error
500
Get Accounting Synced Records Request Internal Server Error

The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.

When using pagination with a non-default limit, you must provide the limit value alongside pagination_token in all subsequent pagination requests. Unlike other query parameters, limit is not inferred from pagination_token.